import java.util.*; 
import java.time.LocalTime; 

class Endereco {
   String rua, bairro, numero, cidade, uf, complemento, CEP, pais;
}

class Pessoa {
   String nome, cpf, identificacao, telResidencial, telCelular, email;
   Endereco endereco1, endereco2;
   Date dataNascimento;
   String nomePai, nomeMae;
   String estadoCivil, genero;
}

enum SituacaoIngresso {
  matriculado, cancelado, trancado, formado, abandonado;
}

class Ingresso {
   String matricula;
   ArrayList<Matricula> matriculas;
   float IRA;
   Date dataEntrada, dataFormatura;
   SituacaoIngresso situacao;
}

class Aluno extends Pessoa {
   ArrayList<Ingresso> ingressos;
}

class Professor extends Pessoa {
   ArrayList<Turma> turmas;
}

class Disciplina {
   String codigo, ficha1, ficha2, nome;
   int cargaHoraria;
}

enum DiaSemana {
  segunda, terca, quarta, quinta, sexta, sabado, domingo;
}

class Ensalamento {
   String sala;
   LocalTime horaInicial, horaFinal;
   DiaSemana dia;
}

class Turma {
   Disciplina disciplina;
   ArrayList<Professor> professores; 
   ArrayList<Matricula> matriculas;
   ArrayList<Ensalamento> ensalamentos;
   int periodo, ano; 
} 

class Matricula {
   Ingresso aluno;
   int frequencia, nota;
   Situacao situacao;
   Date dataMatricula;
}

class Curso {
   String nome;
   ArrayList<Disciplina> disciplinas;  
}

enum Situacao {
   matriculado, concluido, trancado, cancelado, reprovadoNota, reprovadoFrequencia;
}
